{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends 'flux/detail.html.twig' %}
{% import '_includes/macros.html.twig' as appMacros %}

{% block subcontent %}
  {% if items | length %}
    <table class="table table-responsive table-hover m-b-0">
      <thead>
      <tr>
        <th>
          {% set tooltipOptions = {'side': 'bottom'} | json_encode %}
          <span class="pull-right">
            <span title="Message de l'anomalie" data-tooltip="{{ tooltipOptions }}"
                  class="_tooltip fa fa-question-circle-o text-muted">
              &nbsp;
            </span>
          </span>
          Anomalie
        </th>
        <th>
          <span class="pull-right">
            <span title="Nombre de POI concernés par l'anomalie" data-tooltip="{{ tooltipOptions }}"
                  class="_tooltip fa fa-question-circle-o text-muted">
              &nbsp;
            </span>
          </span>
          POI
        </th>
      </tr>
      </thead>
      <tbody>
      {% set tooltipOptions = {'side': 'right'} | json_encode %}
      {% for item in items %}
        {% set content = item.content %}
        {% set isBreaker = item.breaker %}
        {% set nbr_rdf_resources = item.nbr_rdf_resources %}
        <tr {% if isBreaker %}class="bg-warning"{% endif %}>
          <td>
            {% if isBreaker %}
              <span class="fa fa-warning text-red _tooltip"
                    title="Cette anomalie est bloquante : les POI concernés n'ont pas été importés"
                    data-tooltip={{ tooltipOptions }}>
              </span>
            {% else %}
              <span class="fa fa-warning text-gray _tooltip"
                    title="Cette anomalie n'est pas bloquante : elle n'a pas empêché l'importation des POI"
                    data-tooltip={{ tooltipOptions }}>
              </span>
            {% endif %}
            &nbsp;{{ content }}
          </td>
          <td class="text-right">
            <a data-toggle="modal-remote"
               href="{{ path('flux.anomalies.resources', { 'id': flux.id,
                                                           'content': content,
                                                           'is_breaker': isBreaker }) }}">
              {{ nbr_rdf_resources | number_format }}
            </a>
          </td>
        </tr>
      {% endfor %}
      </tbody>
    </table>
  {% else %}
    <div class="blankslate blankslate-spacious">
      <h4>Aucun anomalie liée à ce flux</h4>
      <p>C'est plutôt une bonne nouvelle non ?</p>
    </div>
  {% endif %}

  {% if list.totalitemCount > 0 %}
    <div class="box-footer">
      <a href="{{ path('flux.anomalies.download', { 'id': flux.id }) }}"
         class="btn btn-sm btn-default">
        <span class="fa fa-download"></span> Télécharger le rapport d'anomalie
      </a>
      {% if list.totalItemCount > page_size %}
        {{ knp_pagination_render(list, null, [], {class: "pagination-sm no-margin pull-right"}) }}
      {% endif %}
    </div>
  {% endif %}
{% endblock %}